<?php

namespace Liteerp\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyTransformer extends TransformerAbstract
{
    public function transform(\Liteerp\Company\Models\Company $company)
    {
        return [
            'id'                => $company->getRouteKey(),
            'key'               => [
                'public'    => $company->getPublicKey(),
                'route'     => $company->getRouteKey(),
            ], 
            'id'                => $company->id,
            'slug'              => $company->slug,
            'name'              => $company->name,
            'phone'             => $company->phone,
            'mobile'            => $company->mobile,
            'email'             => $company->email,
            'website'           => $company->website,
            'details'           => $company->details,
            'logo'              => $company->logo,
            'address'           => $company->address,
            'street'            => $company->street,
            'city'              => $company->city,
            'state'             => $company->state,
            'country'           => $company->country,
            'zip'               => $company->zip,
            'lat'               => $company->lat,
            'lng'               => $company->lng,
            'tax'               => $company->tax,
            'deleted_at'        => $company->deleted_at,
            'created_at'        => $company->created_at,
            'updated_at'        => $company->updated_at,
            'url'               => [
                'public'    => trans_url('company/'.$company->getPublicKey()),
                'user'      => guard_url('company/company/'.$company->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company->status),
            'created_at'        => format_date($company->created_at),
            'updated_at'        => format_date($company->updated_at),
        ];
    }
}